We developed both an iOS and an Android App.

On Android, all version between Lollipop 5.+ and Pie 9.0 (latest release) are supported. The Cowboy app is compatible on iPhones running iOS 11&12, and requires an iPhone 5S (or newer).

The best way to make sure your phone is compatible is simply to go to the App Store or the Play Store, search for "Cowboy bike" and download the App.

Did this answer your question?